Summary:	Debian's Advanced Packaging Tool with RPM support.
Group:		Administration
Name:		apt
Version:	0.5.15cnc7
Release:	7
License:	GPL
Source0:	apt-%{version}.tar.bz2
Source1:	apt.conf-gd2
Source2:	sources.list-gd1
Source3:	vendors.list-1.2.2
Source4:	engarde-pgp-key
Source5:	gdsn_apt_method.pl
Patch0:		apt-0.5.15cnc7-rpmpriorities-gd-1.diff
Patch1:		apt-0.5.15cnc7-fix-libtool-tag-gd-1.diff
Patch2:		apt-0.5.15cnc7-fix-po-mkinstalldirs-gd-1.diff
Patch3:		apt-0.5.15cnc7-fix-libapt_pkg-sover-gd-1.diff
Patch4:		apt-0.5.15cnc7-fix-rpm-name-gd-1.diff
Requires:	rpm, gnupg
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Debian's Advanced Packaging Tool with RPM support.

%files -f %{name}.lang
  %defattr(0444,root,root,555)
  %doc AUTHORS* COPYING* TODO

  %attr(0510,root,admin)	%{_bindir}/*
  %attr(0500,root,root)		%{_prefix}/lib/apt/methods/*
  %attr(0555,root,root)		%{_libdir}/libapt-pkg
  %attr(0555,root,root)		%{_libdir}/libapt-pkg-*

  %attr(0750,root,admin)	%dir %{_sysconfdir}/apt
  %attr(0640,root,admin)	%config(noreplace) %{_sysconfdir}/apt/apt.conf 
  %attr(0640,root,admin)	%config(noreplace) %{_sysconfdir}/apt/sources.list
  %attr(0640,root,admin)	%config(noreplace) %{_sysconfdir}/apt/vendors.list
  %attr(0640,root,admin)	%config %{_sysconfdir}/apt/ENGARDE-GPG-KEY
  %attr(0640,root,admin)	%config %{_sysconfdir}/apt/rpmpriorities

  %attr(0700,root,root)		%dir %{_localstatedir}/cache/apt
  %attr(0700,root,root)		%dir %{_localstatedir}/cache/apt/genpkglist
  %attr(0700,root,root)		%dir %{_localstatedir}/cache/apt/gensrclist
  %attr(0700,root,root)		%dir %{_localstatedir}/cache/apt/archives       
  %attr(0700,root,root)		%dir %{_localstatedir}/cache/apt/archives/partial
  %attr(0700,root,root)		%dir %{_localstatedir}/state/apt
  %attr(0700,root,root)		%dir %{_localstatedir}/state/apt/lists
  %attr(0700,root,root)		%dir %{_localstatedir}/state/apt/lists/partial

%package devel
Summary:	Development files and documentation for APT's libapt-pkg
Group:		Development
PreReq:		%{name} = %{version}-%{release}

%description devel
Debian's Advanced Packaging Tool with RPM support -- development libraries.

%files devel
  %defattr(0444,root,root,555)

  %attr(0444,root,root)		%{_includedir}/apt/*.h
  %attr(0444,root,root)		%{_libdir}/libapt-pkg.a
  %attr(0444,root,root)		%{_libdir}/libapt-pkg.la

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0

%build 
  %configure --disable-scripts --disable-dependency-tracking

  make %{?_smp_mflags} CXXFLAGS="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/cache/%{name}/archives/partial
  mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/cache/%{name}/genpkglist
  mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/cache/%{name}/gensrclist
  mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/state/%{name}/lists/partial
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/apt
  mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/apt/methods

  install %{SOURCE1}    $RPM_BUILD_ROOT/%{_sysconfdir}/apt/apt.conf
  install %{SOURCE2}    $RPM_BUILD_ROOT/%{_sysconfdir}/apt/sources.list
  install %{SOURCE3}    $RPM_BUILD_ROOT/%{_sysconfdir}/apt/vendors.list
  install %{SOURCE4}    $RPM_BUILD_ROOT/%{_sysconfdir}/apt/ENGARDE-GPG-KEY
  install %{SOURCE5}    $RPM_BUILD_ROOT/%{_prefix}/lib/apt/methods/gdsn
  install rpmpriorities $RPM_BUILD_ROOT/%{_sysconfdir}/apt/rpmpriorities

  pushd po; make install DESTDIR=$RPM_BUILD_ROOT; popd

  pushd $RPM_BUILD_ROOT/%{_includedir}
    mkdir apt
    mv *.h apt
  popd

  %find_lang %{name}

  # Put the methods in /usr/lib, even on 64bit archs.
%ifarch x86_64
  mv $RPM_BUILD_ROOT/%{_libdir}/apt/methods/* $RPM_BUILD_ROOT/%{_prefix}/lib/apt/methods
  rmdir $RPM_BUILD_ROOT/%{_libdir}/apt/methods
%endif

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 21 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.5.15cnc7, Release 7
  - Don't use _libdir for the methods.

* Wed Sep 21 2005 Peter J. O'Hara <pete@guardiandigital.com>
- Version 0.5.15cnc7, Release 6
  - Added the gdsn method to package

* Thu Sep 01 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.5.15cnc7, Release 5
  - Update rpmpriorities (remove fileutils and glibc-base).
  - Update apt-conf (remove the kernel stuff).
  - Update sources.list (add a first-cut stanza for the GDSN).

* Tue Aug 30 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.5.15cnc7, Release 4
  - Rebuild against latest libneon.

* Fri Aug 19 2005 Peter J. O'Hara <pete@guardiandigital.com>
- Version 0.5.15cnc7, Release 3
  - Changed package nameing convention from package_version_arch
      to package-version.arch to accomodate new "gdsn" apt method

* Fri Jul 08 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.5.15cnc7, Release 2
  - Rebuild against openssl-0.9.8.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.5.15cnc7, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
